Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The UUID of the Telnyx account that owns the resource, for example f5586561-8ff0-4291-a51b-c7dfe4139ff9. The account_sid path segment is kept for Twilio API compatibility, but the value is a Telnyx account UUID, not a Twilio AC... SID. It must match the account that owns the API key used to authenticate the request, otherwise the endpoint returns 404. The same value is sent as AccountSid in TeXML webhooks.

Example:

"f5586561-8ff0-4291-a51b-c7dfe4139ff9"

conference_sid
string
required

The ConferenceSid that uniquely identifies a conference.

call_sid_or_participant_label
string
required

CallSid or Label of the Participant to update.

Body

application/x-www-form-urlencoded

Update Conference Participant request object

Muted
boolean

Whether the participant should be muted.

Example:

true

Hold
boolean

Whether the participant should be on hold.

Example:

true

HoldUrl
string

The URL to be called using the HoldMethod for music that plays when the participant is on hold. The URL may return an MP3 file, a WAV file, or a TwiML document that contains <Play>, <Say>, <Pause>, or <Redirect> verbs.

Example:

"https://www.example.com/hold-music.xml"

HoldMethod
enum<string>

The HTTP method to use when calling the HoldUrl.

Available options:
GET,
POST
Example:

"POST"

AnnounceUrl
string

The URL to call to announce something to the participant. The URL may return an MP3 fileo a WAV file, or a TwiML document that contains <Play>, <Say>, <Pause>, or <Redirect> verbs.

Example:

"https://www.example.com/announce.xml"

AnnounceMethod
enum<string>

The HTTP method used to call the AnnounceUrl. Defaults to POST.

Available options:
GET,
POST
Example:

"GET"

WaitUrl
string

The URL to call for an audio file to play while the participant is waiting for the conference to start.

Example:

"https://www.example.com/wait_music.mp3"

BeepOnExit
boolean

Whether to play a notification beep to the conference when the participant exits.

Example:

false

EndConferenceOnExit
boolean

Whether to end the conference when the participant leaves.

Example:

false

Coaching
boolean

Whether the participant is coaching another call. When true, CallSidToCoach has to be given.

Example:

false

CallSidToCoach
string

The SID of the participant who is being coached. The participant being coached is the only participant who can hear the participant who is coaching.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

Response

Participant resource.

account_sid
string

The id of the account the resource belongs to.

Example:

"61bf923e-5e4d-4595-a110-56190ea18a1b"

api_version
string

The version of the API that was used to make the request.

Example:

"v2/texml"

call_sid
string

The identifier of this participant's call.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

call_sid_legacy
string

The identifier of this participant's call.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

coaching
boolean

Whether the participant is coaching another call.

Example:

false

coaching_call_sid
string

The identifier of the coached participant's call.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

coaching_call_sid_legacy
string

The identifier of the coached participant's call.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

date_created
string

The timestamp of when the resource was created.

Example:

"Thu, 15 Jun 2023 09:56:45 +0000"

date_updated
string

The timestamp of when the resource was last updated.

Example:

"Thu, 15 Jun 2023 09:56:45 +0000"

end_conference_on_exit
boolean

Whether the conference ends when the participant leaves.

Example:

false

hold
boolean

Whether the participant is on hold.

Example:

false

muted
boolean

Whether the participant is muted.

Example:

false

status
enum<string>

The status of the participant's call in the conference.

Available options:
connecting,
connected,
completed
Example:

"connected"

uri
string

The relative URI for this participant.

Example:

"/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json"

conference_sid
string<uuid>

The unique identifier for the conference.

Example:

"cd5a70f4-759b-4d5e-9c06-88c00f16f3c1"